IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/16
Addresses2^112
/64 networks2^48
- Network
fc04::/16- First address
fc04::- Last address
fc04:ffff:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
- /64 networks (LANs)
- 281,474,976,710,656 (2^48)
- Full form
fc04:0000:0000:0000:0000:0000:0000:0000- Type
- Unique local (ULA) fc00::/7
Private IPv6, like RFC 1918; usually fd00::/8 - Reverse DNS zone
4.0.c.f.ip6.arpa
Split into smaller subnets
fc04::/16 makes 4,096 subnets of /28; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | fc04::/28 | fc04:f:ffff:ffff:ffff:ffff:ffff:ffff |
| 2 | fc04:10::/28 | fc04:1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 3 | fc04:20::/28 | fc04:2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 4 | fc04:30::/28 | fc04:3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 5 | fc04:40::/28 | fc04:4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 6 | fc04:50::/28 | fc04:5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 7 | fc04:60::/28 | fc04:6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 8 | fc04:70::/28 | fc04:7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 9 | fc04:80::/28 | fc04:8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 10 | fc04:90::/28 | fc04:9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 11 | fc04:a0::/28 | fc04:af:ffff:ffff:ffff:ffff:ffff:ffff |
| 12 | fc04:b0::/28 | fc04:bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 13 | fc04:c0::/28 | fc04:cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 14 | fc04:d0::/28 | fc04:df:ffff:ffff:ffff:ffff:ffff:ffff |
| 15 | fc04:e0::/28 | fc04:ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 16 | fc04:f0::/28 | fc04:ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | fc04:100::/28 | fc04:10f:ffff:ffff:ffff:ffff:ffff:ffff |
| 18 | fc04:110::/28 | fc04:11f:ffff:ffff:ffff:ffff:ffff:ffff |
| 19 | fc04:120::/28 | fc04:12f:ffff:ffff:ffff:ffff:ffff:ffff |
| 20 | fc04:130::/28 | fc04:13f:ffff:ffff:ffff:ffff:ffff:ffff |
| 21 | fc04:140::/28 | fc04:14f:ffff:ffff:ffff:ffff:ffff:ffff |
| 22 | fc04:150::/28 | fc04:15f:ffff:ffff:ffff:ffff:ffff:ffff |
| 23 | fc04:160::/28 | fc04:16f:ffff:ffff:ffff:ffff:ffff:ffff |
| 24 | fc04:170::/28 | fc04:17f:ffff:ffff:ffff:ffff:ffff:ffff |
| 25 | fc04:180::/28 | fc04:18f:ffff:ffff:ffff:ffff:ffff:ffff |
| 26 | fc04:190::/28 | fc04:19f:ffff:ffff:ffff:ffff:ffff:ffff |
| 27 | fc04:1a0::/28 | fc04:1af:ffff:ffff:ffff:ffff:ffff:ffff |
| 28 | fc04:1b0::/28 | fc04:1bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 29 | fc04:1c0::/28 | fc04:1cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 30 | fc04:1d0::/28 | fc04:1df:ffff:ffff:ffff:ffff:ffff:ffff |
| 31 | fc04:1e0::/28 | fc04:1ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 32 | fc04:1f0::/28 | fc04:1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | fc04:200::/28 | fc04:20f:ffff:ffff:ffff:ffff:ffff:ffff |
| 34 | fc04:210::/28 | fc04:21f:ffff:ffff:ffff:ffff:ffff:ffff |
| 35 | fc04:220::/28 | fc04:22f:ffff:ffff:ffff:ffff:ffff:ffff |
| 36 | fc04:230::/28 | fc04:23f:ffff:ffff:ffff:ffff:ffff:ffff |
| 37 | fc04:240::/28 | fc04:24f:ffff:ffff:ffff:ffff:ffff:ffff |
| 38 | fc04:250::/28 | fc04:25f:ffff:ffff:ffff:ffff:ffff:ffff |
| 39 | fc04:260::/28 | fc04:26f:ffff:ffff:ffff:ffff:ffff:ffff |
| 40 | fc04:270::/28 | fc04:27f:ffff:ffff:ffff:ffff:ffff:ffff |
| 41 | fc04:280::/28 | fc04:28f:ffff:ffff:ffff:ffff:ffff:ffff |
| 42 | fc04:290::/28 | fc04:29f:ffff:ffff:ffff:ffff:ffff:ffff |
| 43 | fc04:2a0::/28 | fc04:2af:ffff:ffff:ffff:ffff:ffff:ffff |
| 44 | fc04:2b0::/28 | fc04:2bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 45 | fc04:2c0::/28 | fc04:2cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 46 | fc04:2d0::/28 | fc04:2df:ffff:ffff:ffff:ffff:ffff:ffff |
| 47 | fc04:2e0::/28 | fc04:2ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 48 | fc04:2f0::/28 | fc04:2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | fc04:300::/28 | fc04:30f:ffff:ffff:ffff:ffff:ffff:ffff |
| 50 | fc04:310::/28 | fc04:31f:ffff:ffff:ffff:ffff:ffff:ffff |
| 51 | fc04:320::/28 | fc04:32f:ffff:ffff:ffff:ffff:ffff:ffff |
| 52 | fc04:330::/28 | fc04:33f:ffff:ffff:ffff:ffff:ffff:ffff |
| 53 | fc04:340::/28 | fc04:34f:ffff:ffff:ffff:ffff:ffff:ffff |
| 54 | fc04:350::/28 | fc04:35f:ffff:ffff:ffff:ffff:ffff:ffff |
| 55 | fc04:360::/28 | fc04:36f:ffff:ffff:ffff:ffff:ffff:ffff |
| 56 | fc04:370::/28 | fc04:37f:ffff:ffff:ffff:ffff:ffff:ffff |
| 57 | fc04:380::/28 | fc04:38f:ffff:ffff:ffff:ffff:ffff:ffff |
| 58 | fc04:390::/28 | fc04:39f:ffff:ffff:ffff:ffff:ffff:ffff |
| 59 | fc04:3a0::/28 | fc04:3af:ffff:ffff:ffff:ffff:ffff:ffff |
| 60 | fc04:3b0::/28 | fc04:3bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 61 | fc04:3c0::/28 | fc04:3cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 62 | fc04:3d0::/28 | fc04:3df:ffff:ffff:ffff:ffff:ffff:ffff |
| 63 | fc04:3e0::/28 | fc04:3ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 64 | fc04:3f0::/28 | fc04:3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | fc04:400::/28 | fc04:40f:ffff:ffff:ffff:ffff:ffff:ffff |
| 66 | fc04:410::/28 | fc04:41f:ffff:ffff:ffff:ffff:ffff:ffff |
| 67 | fc04:420::/28 | fc04:42f:ffff:ffff:ffff:ffff:ffff:ffff |
| 68 | fc04:430::/28 | fc04:43f:ffff:ffff:ffff:ffff:ffff:ffff |
| 69 | fc04:440::/28 | fc04:44f:ffff:ffff:ffff:ffff:ffff:ffff |
| 70 | fc04:450::/28 | fc04:45f:ffff:ffff:ffff:ffff:ffff:ffff |
| 71 | fc04:460::/28 | fc04:46f:ffff:ffff:ffff:ffff:ffff:ffff |
| 72 | fc04:470::/28 | fc04:47f:ffff:ffff:ffff:ffff:ffff:ffff |
| 73 | fc04:480::/28 | fc04:48f:ffff:ffff:ffff:ffff:ffff:ffff |
| 74 | fc04:490::/28 | fc04:49f:ffff:ffff:ffff:ffff:ffff:ffff |
| 75 | fc04:4a0::/28 | fc04:4af:ffff:ffff:ffff:ffff:ffff:ffff |
| 76 | fc04:4b0::/28 | fc04:4bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 77 | fc04:4c0::/28 | fc04:4cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 78 | fc04:4d0::/28 | fc04:4df:ffff:ffff:ffff:ffff:ffff:ffff |
| 79 | fc04:4e0::/28 | fc04:4ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 80 | fc04:4f0::/28 | fc04:4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | fc04:500::/28 | fc04:50f:ffff:ffff:ffff:ffff:ffff:ffff |
| 82 | fc04:510::/28 | fc04:51f:ffff:ffff:ffff:ffff:ffff:ffff |
| 83 | fc04:520::/28 | fc04:52f:ffff:ffff:ffff:ffff:ffff:ffff |
| 84 | fc04:530::/28 | fc04:53f:ffff:ffff:ffff:ffff:ffff:ffff |
| 85 | fc04:540::/28 | fc04:54f:ffff:ffff:ffff:ffff:ffff:ffff |
| 86 | fc04:550::/28 | fc04:55f:ffff:ffff:ffff:ffff:ffff:ffff |
| 87 | fc04:560::/28 | fc04:56f:ffff:ffff:ffff:ffff:ffff:ffff |
| 88 | fc04:570::/28 | fc04:57f:ffff:ffff:ffff:ffff:ffff:ffff |
| 89 | fc04:580::/28 | fc04:58f:ffff:ffff:ffff:ffff:ffff:ffff |
| 90 | fc04:590::/28 | fc04:59f:ffff:ffff:ffff:ffff:ffff:ffff |
| 91 | fc04:5a0::/28 | fc04:5af:ffff:ffff:ffff:ffff:ffff:ffff |
| 92 | fc04:5b0::/28 | fc04:5bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 93 | fc04:5c0::/28 | fc04:5cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 94 | fc04:5d0::/28 | fc04:5df:ffff:ffff:ffff:ffff:ffff:ffff |
| 95 | fc04:5e0::/28 | fc04:5ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 96 | fc04:5f0::/28 | fc04:5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | fc04:600::/28 | fc04:60f:ffff:ffff:ffff:ffff:ffff:ffff |
| 98 | fc04:610::/28 | fc04:61f:ffff:ffff:ffff:ffff:ffff:ffff |
| 99 | fc04:620::/28 | fc04:62f:ffff:ffff:ffff:ffff:ffff:ffff |
| 100 | fc04:630::/28 | fc04:63f:ffff:ffff:ffff:ffff:ffff:ffff |
| 101 | fc04:640::/28 | fc04:64f:ffff:ffff:ffff:ffff:ffff:ffff |
| 102 | fc04:650::/28 | fc04:65f:ffff:ffff:ffff:ffff:ffff:ffff |
| 103 | fc04:660::/28 | fc04:66f:ffff:ffff:ffff:ffff:ffff:ffff |
| 104 | fc04:670::/28 | fc04:67f:ffff:ffff:ffff:ffff:ffff:ffff |
| 105 | fc04:680::/28 | fc04:68f:ffff:ffff:ffff:ffff:ffff:ffff |
| 106 | fc04:690::/28 | fc04:69f:ffff:ffff:ffff:ffff:ffff:ffff |
| 107 | fc04:6a0::/28 | fc04:6af:ffff:ffff:ffff:ffff:ffff:ffff |
| 108 | fc04:6b0::/28 | fc04:6bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 109 | fc04:6c0::/28 | fc04:6cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 110 | fc04:6d0::/28 | fc04:6df:ffff:ffff:ffff:ffff:ffff:ffff |
| 111 | fc04:6e0::/28 | fc04:6ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 112 | fc04:6f0::/28 | fc04:6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | fc04:700::/28 | fc04:70f:ffff:ffff:ffff:ffff:ffff:ffff |
| 114 | fc04:710::/28 | fc04:71f:ffff:ffff:ffff:ffff:ffff:ffff |
| 115 | fc04:720::/28 | fc04:72f:ffff:ffff:ffff:ffff:ffff:ffff |
| 116 | fc04:730::/28 | fc04:73f:ffff:ffff:ffff:ffff:ffff:ffff |
| 117 | fc04:740::/28 | fc04:74f:ffff:ffff:ffff:ffff:ffff:ffff |
| 118 | fc04:750::/28 | fc04:75f:ffff:ffff:ffff:ffff:ffff:ffff |
| 119 | fc04:760::/28 | fc04:76f:ffff:ffff:ffff:ffff:ffff:ffff |
| 120 | fc04:770::/28 | fc04:77f:ffff:ffff:ffff:ffff:ffff:ffff |
| 121 | fc04:780::/28 | fc04:78f:ffff:ffff:ffff:ffff:ffff:ffff |
| 122 | fc04:790::/28 | fc04:79f:ffff:ffff:ffff:ffff:ffff:ffff |
| 123 | fc04:7a0::/28 | fc04:7af:ffff:ffff:ffff:ffff:ffff:ffff |
| 124 | fc04:7b0::/28 | fc04:7bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 125 | fc04:7c0::/28 | fc04:7cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 126 | fc04:7d0::/28 | fc04:7df:ffff:ffff:ffff:ffff:ffff:ffff |
| 127 | fc04:7e0::/28 | fc04:7ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 128 | fc04:7f0::/28 | fc04:7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | fc04:800::/28 | fc04:80f:ffff:ffff:ffff:ffff:ffff:ffff |
| 130 | fc04:810::/28 | fc04:81f:ffff:ffff:ffff:ffff:ffff:ffff |
| 131 | fc04:820::/28 | fc04:82f:ffff:ffff:ffff:ffff:ffff:ffff |
| 132 | fc04:830::/28 | fc04:83f:ffff:ffff:ffff:ffff:ffff:ffff |
| 133 | fc04:840::/28 | fc04:84f:ffff:ffff:ffff:ffff:ffff:ffff |
| 134 | fc04:850::/28 | fc04:85f:ffff:ffff:ffff:ffff:ffff:ffff |
| 135 | fc04:860::/28 | fc04:86f:ffff:ffff:ffff:ffff:ffff:ffff |
| 136 | fc04:870::/28 | fc04:87f:ffff:ffff:ffff:ffff:ffff:ffff |
| 137 | fc04:880::/28 | fc04:88f:ffff:ffff:ffff:ffff:ffff:ffff |
| 138 | fc04:890::/28 | fc04:89f:ffff:ffff:ffff:ffff:ffff:ffff |
| 139 | fc04:8a0::/28 | fc04:8af:ffff:ffff:ffff:ffff:ffff:ffff |
| 140 | fc04:8b0::/28 | fc04:8bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 141 | fc04:8c0::/28 | fc04:8cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 142 | fc04:8d0::/28 | fc04:8df:ffff:ffff:ffff:ffff:ffff:ffff |
| 143 | fc04:8e0::/28 | fc04:8ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 144 | fc04:8f0::/28 | fc04:8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | fc04:900::/28 | fc04:90f:ffff:ffff:ffff:ffff:ffff:ffff |
| 146 | fc04:910::/28 | fc04:91f:ffff:ffff:ffff:ffff:ffff:ffff |
| 147 | fc04:920::/28 | fc04:92f:ffff:ffff:ffff:ffff:ffff:ffff |
| 148 | fc04:930::/28 | fc04:93f:ffff:ffff:ffff:ffff:ffff:ffff |
| 149 | fc04:940::/28 | fc04:94f:ffff:ffff:ffff:ffff:ffff:ffff |
| 150 | fc04:950::/28 | fc04:95f:ffff:ffff:ffff:ffff:ffff:ffff |
| 151 | fc04:960::/28 | fc04:96f:ffff:ffff:ffff:ffff:ffff:ffff |
| 152 | fc04:970::/28 | fc04:97f:ffff:ffff:ffff:ffff:ffff:ffff |
| 153 | fc04:980::/28 | fc04:98f:ffff:ffff:ffff:ffff:ffff:ffff |
| 154 | fc04:990::/28 | fc04:99f:ffff:ffff:ffff:ffff:ffff:ffff |
| 155 | fc04:9a0::/28 | fc04:9af:ffff:ffff:ffff:ffff:ffff:ffff |
| 156 | fc04:9b0::/28 | fc04:9bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 157 | fc04:9c0::/28 | fc04:9cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 158 | fc04:9d0::/28 | fc04:9df:ffff:ffff:ffff:ffff:ffff:ffff |
| 159 | fc04:9e0::/28 | fc04:9ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 160 | fc04:9f0::/28 | fc04:9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | fc04:a00::/28 | fc04:a0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 162 | fc04:a10::/28 | fc04:a1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 163 | fc04:a20::/28 | fc04:a2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 164 | fc04:a30::/28 | fc04:a3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 165 | fc04:a40::/28 | fc04:a4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 166 | fc04:a50::/28 | fc04:a5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 167 | fc04:a60::/28 | fc04:a6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 168 | fc04:a70::/28 | fc04:a7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 169 | fc04:a80::/28 | fc04:a8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 170 | fc04:a90::/28 | fc04:a9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 171 | fc04:aa0::/28 | fc04:aaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 172 | fc04:ab0::/28 | fc04:abf:ffff:ffff:ffff:ffff:ffff:ffff |
| 173 | fc04:ac0::/28 | fc04:acf:ffff:ffff:ffff:ffff:ffff:ffff |
| 174 | fc04:ad0::/28 | fc04:adf:ffff:ffff:ffff:ffff:ffff:ffff |
| 175 | fc04:ae0::/28 | fc04:aef:ffff:ffff:ffff:ffff:ffff:ffff |
| 176 | fc04:af0::/28 | fc04:aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | fc04:b00::/28 | fc04:b0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 178 | fc04:b10::/28 | fc04:b1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 179 | fc04:b20::/28 | fc04:b2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 180 | fc04:b30::/28 | fc04:b3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 181 | fc04:b40::/28 | fc04:b4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 182 | fc04:b50::/28 | fc04:b5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 183 | fc04:b60::/28 | fc04:b6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 184 | fc04:b70::/28 | fc04:b7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 185 | fc04:b80::/28 | fc04:b8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 186 | fc04:b90::/28 | fc04:b9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 187 | fc04:ba0::/28 | fc04:baf:ffff:ffff:ffff:ffff:ffff:ffff |
| 188 | fc04:bb0::/28 | fc04:bbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 189 | fc04:bc0::/28 | fc04:bcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 190 | fc04:bd0::/28 | fc04:bdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 191 | fc04:be0::/28 | fc04:bef:ffff:ffff:ffff:ffff:ffff:ffff |
| 192 | fc04:bf0::/28 | fc04:bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | fc04:c00::/28 | fc04:c0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 194 | fc04:c10::/28 | fc04:c1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 195 | fc04:c20::/28 | fc04:c2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 196 | fc04:c30::/28 | fc04:c3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 197 | fc04:c40::/28 | fc04:c4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 198 | fc04:c50::/28 | fc04:c5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 199 | fc04:c60::/28 | fc04:c6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 200 | fc04:c70::/28 | fc04:c7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 201 | fc04:c80::/28 | fc04:c8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 202 | fc04:c90::/28 | fc04:c9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 203 | fc04:ca0::/28 | fc04:caf:ffff:ffff:ffff:ffff:ffff:ffff |
| 204 | fc04:cb0::/28 | fc04:cbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 205 | fc04:cc0::/28 | fc04:ccf:ffff:ffff:ffff:ffff:ffff:ffff |
| 206 | fc04:cd0::/28 | fc04:cdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 207 | fc04:ce0::/28 | fc04:cef:ffff:ffff:ffff:ffff:ffff:ffff |
| 208 | fc04:cf0::/28 | fc04:cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | fc04:d00::/28 | fc04:d0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 210 | fc04:d10::/28 | fc04:d1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 211 | fc04:d20::/28 | fc04:d2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 212 | fc04:d30::/28 | fc04:d3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 213 | fc04:d40::/28 | fc04:d4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 214 | fc04:d50::/28 | fc04:d5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 215 | fc04:d60::/28 | fc04:d6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 216 | fc04:d70::/28 | fc04:d7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 217 | fc04:d80::/28 | fc04:d8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 218 | fc04:d90::/28 | fc04:d9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 219 | fc04:da0::/28 | fc04:daf:ffff:ffff:ffff:ffff:ffff:ffff |
| 220 | fc04:db0::/28 | fc04:dbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 221 | fc04:dc0::/28 | fc04:dcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 222 | fc04:dd0::/28 | fc04:ddf:ffff:ffff:ffff:ffff:ffff:ffff |
| 223 | fc04:de0::/28 | fc04:def:ffff:ffff:ffff:ffff:ffff:ffff |
| 224 | fc04:df0::/28 | fc04:dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | fc04:e00::/28 | fc04:e0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 226 | fc04:e10::/28 | fc04:e1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 227 | fc04:e20::/28 | fc04:e2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 228 | fc04:e30::/28 | fc04:e3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 229 | fc04:e40::/28 | fc04:e4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 230 | fc04:e50::/28 | fc04:e5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 231 | fc04:e60::/28 | fc04:e6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 232 | fc04:e70::/28 | fc04:e7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 233 | fc04:e80::/28 | fc04:e8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 234 | fc04:e90::/28 | fc04:e9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 235 | fc04:ea0::/28 | fc04:eaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 236 | fc04:eb0::/28 | fc04:ebf:ffff:ffff:ffff:ffff:ffff:ffff |
| 237 | fc04:ec0::/28 | fc04:ecf:ffff:ffff:ffff:ffff:ffff:ffff |
| 238 | fc04:ed0::/28 | fc04:edf:ffff:ffff:ffff:ffff:ffff:ffff |
| 239 | fc04:ee0::/28 | fc04:eef:ffff:ffff:ffff:ffff:ffff:ffff |
| 240 | fc04:ef0::/28 | fc04:eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | fc04:f00::/28 | fc04:f0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 242 | fc04:f10::/28 | fc04:f1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 243 | fc04:f20::/28 | fc04:f2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 244 | fc04:f30::/28 | fc04:f3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 245 | fc04:f40::/28 | fc04:f4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 246 | fc04:f50::/28 | fc04:f5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 247 | fc04:f60::/28 | fc04:f6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 248 | fc04:f70::/28 | fc04:f7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 249 | fc04:f80::/28 | fc04:f8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 250 | fc04:f90::/28 | fc04:f9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 251 | fc04:fa0::/28 | fc04:faf:ffff:ffff:ffff:ffff:ffff:ffff |
| 252 | fc04:fb0::/28 | fc04:fbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 253 | fc04:fc0::/28 | fc04:fcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 254 | fc04:fd0::/28 | fc04:fdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 255 | fc04:fe0::/28 | fc04:fef:ffff:ffff:ffff:ffff:ffff:ffff |
| 256 | fc04:ff0::/28 | fc04:fff:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |